Stock quantity batches
List all stock quantity batches
Fetches a complete list of stock quantity batch records available in the system.
Fetches a complete list of stock quantity batch records available in the system.
AuthorizationBearer <token>
In: header
Query Parameters
page?integer
The collection page number
Default
1itemsPerPage?integer
The number of items per page
Default
10Range
0 <= valuepagination?boolean
Enable or disable pagination
variant.stock.id?integer
variant.stock.id[]?array<>
location.id?integer
location.id[]?array<>
variant.name?string
stockQuantity.location.name?string
variant.code?string
variant.code[]?array<>
variant.id?integer
variant.id[]?array<>
variant.stock.type?string
variant.stock.type[]?array<>
amount?string
amount[]?array<>
averagePrice?string
averagePrice[]?array<>
barcode?string
batchNumber?string
amount[between]?string
amount[gt]?string
amount[gte]?string
amount[lt]?string
amount[lte]?string
isActive?boolean
order[id]?string
Default
"asc"Value in
"asc" | "desc"order[variant.code]?string
Default
"asc"Value in
"asc" | "desc"order[variant.id]?string
Default
"asc"Value in
"asc" | "desc"order[location.name]?string
Default
"asc"Value in
"asc" | "desc"order[variant.name]?string
Default
"asc"Value in
"asc" | "desc"order[barcode]?string
Default
"asc"Value in
"asc" | "desc"order[expirationDate]?string
Default
"asc"Value in
"asc" | "desc"order[averagePrice]?string
Default
"asc"Value in
"asc" | "desc"order[amount]?string
Default
"asc"Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://api.skalasuite.com/api/stock_quantity_batches"[
{
"id": 0,
"stockQuantity": {
"location": {
"id": 0,
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"createdAt": "2019-08-24T14:15:22Z"
},
"variant": {
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"currency": {
"id": 0,
"name": "string",
"code": "string",
"symbol": "string"
},
"createdAt": "2019-08-24T14:15:22Z"
},
"code": "string",
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"barcode": "string",
"label": "string",
"expirationDate": "2019-08-24T14:15:22Z",
"amount": "string",
"expectedAmount": "string",
"committedAmount": "string",
"missingAmount": "string",
"valueInStock": "string",
"averagePrice": "string",
"batchNumber": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]